X crashes when idle

Bug #160309 reported by zdzichu on 2007-11-05
36
Affects Status Importance Assigned to Milestone
xf86-video-intel
Fix Released
High
xserver-xorg-video-intel (Ubuntu)
High
Bryce Harrington

Bug Description

I have ThinkPad Z61t with intel graphics. Sometimes when computer is left idle it crashes and GDM restart.
This happens in up-to-date Gutsy Gibbon. Xorg.0.log.old ends with:

ProcXCloseDevice to close or not ?
ProcXCloseDevice to close or not ?
ProcXCloseDevice to close or not ?
ProcXCloseDevice to close or not ?
SetGrabKeysState - disabled
Error in I830WaitLpRing(), timeout for 2 seconds
pgetbl_ctl: 0x3ffc0001 pgetbl_err: 0x0
ipeir: 0 iphdr: 1810000
LP ring tail: a008 head: 9fc4 len: 1f801 start 0
eir: 0 esr: 0 emr: ffff
instdone: ffc0 instpm: 0
memmode: 306 instps: f0000
hwstam: fffe ier: 2 imr: 0 iir: 250
Ring at virtual 0xa78de000 head 0x9fc4 tail 0xa008 count 17
        00009f44: 00000000
        00009f48: 02000011
        00009f4c: 00000000
        00009f50: 02000011
        00009f54: 00000000
        00009f58: 02000011
        00009f5c: 00000000
        00009f60: 02000011
        00009f64: 00000000
        00009f68: 02000011
        00009f6c: 00000000
        00009f70: 02000010
        00009f74: 00000000
        00009f78: 08800000
        00009f7c: 3f832000
        00009f80: 02000011
        00009f84: 00000000
        00009f88: 02000011
        00009f8c: 00000000
        00009f90: 02000011
        00009f94: 00000000
        00009f98: 02000011
        00009f9c: 00000000
        00009fa0: 01810000
        00009fa4: 00000000
        00009fa8: 02000011
        00009fac: 00000000
        00009fb0: 02000010
        00009fb4: 00000000
        00009fb8: 08800000
        00009fbc: 3f832000
        00009fc0: 01810000
        00009fc4: 00000000
Ring end
space: 130996 wanted 131064
(II) intel(0): [drm] removed 1 reserved context for kernel
(II) intel(0): [drm] unmapping 8192 bytes of SAREA 0xf8876000 at 0xb7aed000

Fatal server error:
lockup

(EE) intel(0): I830 Vblank Pipe Setup Failed 0
(II) AIGLX: Suspending AIGLX clients for VT switch
(EE) intel(0): I830 Vblank Pipe Setup Failed 0
(EE) intel(0): I830 Vblank Pipe Setup Failed 0
(EE) intel(0): I830 Vblank Pipe Setup Failed 0
(EE) intel(0): I830 Vblank Pipe Setup Failed 0
(II) intel(0): xf86UnbindGARTMemory: unbind key 0
(II) intel(0): xf86UnbindGARTMemory: unbind key 1
(II) intel(0): xf86UnbindGARTMemory: unbind key 2
(II) intel(0): xf86UnbindGARTMemory: unbind key 3
(II) intel(0): xf86UnbindGARTMemory: unbind key 4

Changed in xserver-xorg-video-intel:
importance: Undecided → High
Greg Bognar (greg-bognar) wrote :

I can confirm this with a Dell Inspiron 1420, running Gutsy, except that the computer completely freezes and it has to be turned off with the power button. My Xorg.0.log.old ends with:

Error in I830WaitLpRing(), timeout for 2 seconds
pgetbl_ctl: 0x7ff80001 pgetbl_err: 0x0
ipeir: 0 iphdr: 7808000b
LP ring tail: 470 head: 0 len: 1f001 start 0
Err ID (eir): 0 Err Status (esr): 1 Err Mask (emr): ffffffdf
instdone: e5fafd instdone_1: ffffc
instpm: 0
memmode: 0 instps: 8001e02c
HW Status mask (hwstam): fff8dffe
IRQ enable (ier): 2 imr: fff80000 iir: 20
acthd: 4a19618 dma_fadd_p: 4a19700
ecoskpd: 307 excc: 0
cache_mode: 6800/180
mi_arb_state: 44
IA_VERTICES_COUNT_QW 0/0
IA_PRIMITIVES_COUNT_QW 0/0
VS_INVOCATION_COUNT_QW 0/0
GS_INVOCATION_COUNT_QW 0/0
GS_PRIMITIVES_COUNT_QW 0/0
CL_INVOCATION_COUNT_QW 0/0
CL_PRIMITIVES_COUNT_QW 0/0
PS_INVOCATION_COUNT_QW 0/0
PS_DEPTH_COUNT_QW 0/0
WIZ_CTL 0
TS_CTL 0 TS_DEBUG_DATA 8e7abdf3
TD_CTL 0 / 0
space: 129928 wanted 131064
(II) intel(0): [drm] removed 1 reserved context for kernel
(II) intel(0): [drm] unmapping 8192 bytes of SAREA 0xf8c49000 at 0xb7ef8000

Fatal server error:
lockup

(II) AIGLX: Suspending AIGLX clients for VT switch
Error in I830WaitLpRing(), timeout for 2 seconds
pgetbl_ctl: 0x7ff80001 pgetbl_err: 0x0
ipeir: 0 iphdr: 7808000b
LP ring tail: 478 head: 0 len: 1f001 start 0
Err ID (eir): 0 Err Status (esr): 1 Err Mask (emr): ffffffdf
instdone: e5fafd instdone_1: ffffc
instpm: 0
memmode: 0 instps: 8001e02c
HW Status mask (hwstam): fff8dffe
IRQ enable (ier): 2 imr: fff80000 iir: 20
acthd: 4a19618 dma_fadd_p: 4a19700
ecoskpd: 307 excc: 0
cache_mode: 6800/180
mi_arb_state: 44
IA_VERTICES_COUNT_QW 0/0
IA_PRIMITIVES_COUNT_QW 0/0
VS_INVOCATION_COUNT_QW 0/0
GS_INVOCATION_COUNT_QW 0/0
GS_PRIMITIVES_COUNT_QW 0/0
CL_INVOCATION_COUNT_QW 0/0
CL_PRIMITIVES_COUNT_QW 0/0
PS_INVOCATION_COUNT_QW 0/0
PS_DEPTH_COUNT_QW 0/0
WIZ_CTL 0
TS_CTL 0 TS_DEBUG_DATA 8e7abdf3
TD_CTL 0 / 0
space: 129920 wanted 131064

FatalError re-entered, aborting
lockup

tuxo (beat-fasel) wrote :

I also get

(EE) intel(0): I830 Vblank Pipe Setup Failed 0

error messages in my Xorg log file. After a boot, X comes up and I can log in via kdm or gdm [1]. However, after typing the password the screen goes black. The desktops are being loaded (true for both KDE and GNOME as I hear the login sound and mail notification sounds) but the screen is completely black and stays black.

Hence, I am forced to using the vesa drivers that give me a correct resolution (1280x800). My display controller is a GM 965 (Santa Rosa platform).

[1] Here already I noticed that the the login manager window is not in the center but shifted to the left. This is probably related to the bug #140999, as with the Gutsy Live CD I also get the GNOME and KDE panels shifted to the left, not taking up the whole desktop.

Greg Bognar (greg-bognar) wrote :

Update: the problem seems to go away if you turn gnome-screensaver off. So this might be related to bug <a href="https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/144663">Bug #144663</a> (the Xorg.0.log.old seem the same), although I did experience the problem without compiz running.

Bryce Harrington (bryce) wrote :

Subscribing Intel Hardware Certification. The question is, what procedure(s) can be used to debug crashes that occur only after being idle? Does the information at the end of the Xorg.0.log.old give enough clue, or are there additional debugging steps that the reporter could take?

Greg, I think your issue is different from this one. Your error messages don't match up, and you're seeing a freeze, rather than a crash and restart, so it's unlikely to be the same problem.

However, it's a good suggestion to turn off the screensaver - zdzichu, can you reproduce the issue even when the screensaver is completely turned off?

tuxo, I'm also thinking your issue is an unrelated bug, since the OP issue occurs after an idle period, whereas yours occurs after logging in. There are other reports that may be a closer match to yours.

I've collected the reports from people reporting X problems on screen mode changes: https://wiki.ubuntu.com/X/Bugs/ScreenModeChange

I think there's more than two bugs represented here, but in many cases we don't have enough data. Please look at the above page and fill in the missing data.

I've also created a page summarizing how to analyze and work around these issues. It would be worthwhile for anyone experiencing these issues to review and try these steps, and then report their findings on the appropriate bug

https://wiki.ubuntu.com/X/Debugging#head-0b6e9c6b60fa07cda4013a1c51239f1c14c4f89d

Changed in xserver-xorg-video-intel:
importance: High → Undecided
status: New → Incomplete
Rolla Selbak (rolla-n-selbak) wrote :

My team hasn't been able to reproduce this yet (and it looks like all reports are from Intel 965 gfx card, correct?)

It's always hard when the bug is reproduced only by being 'idle' for some time, but all these reports so far are helpful. We just need a sure-fire way to reproduce this, even definitive steps (no matter how mundane they seem).

Please open up a freedesktop.org bug so the gfx team can troubleshoot through the bugzilla. Since this is related to very recent hw, this will be a big prio.

The Xorg.0.log.old logs are of course helpful, as well as any other system logs you can grab (if the system doesn't completely crash).

zdzichu (zdzichu-gmail) wrote :

I have lockups on i945.

After disabling gnome-screensaver I had NO lockups for two weeks.

Yesterday I've locked display when leaving my laptop. This run screensaver with electricsheep module. After few hours I get back, moved mouse, screen turned on and unlock dialog appeared. I didn't unlock, left system for one more hour. After this hour I moved mouse and screen didn't turn back on, keyboard wasn't reacting to ctrl-alt-backspace and X looked hung. I've sshed into laptop, killed X, but screen remained black.

Bryce Harrington (bryce) wrote :

zdzichu, thanks for describing the steps to reproduce the issue. Can you please post your /var/log/Xorg.0.log and /etc/X11/xorg.conf files, and the output from lspci -vvnn? With that data, we can report this bug upstream.

From what has been said, it sounds strongly that this issue occurs when one of the screensavers turns on. Greg and zdzichu, can you please test the following to see if you can reproduce it on command?

1. In Screensaver Preferences, click on each of the screensavers to get a preview, and see if there are any that cause weird behaviors; if so, note those here.

2. Set the screensaver to random, then turn the idle time down to 1 minute, so the screensaver will come on quickly.
3. Lock the display and allow the screensaver to come on
4. Once the screensaver appears, move mouse and make sure the unlock dialog appears
5. Repeat from 3 until a hang occurs

The purpose of this is mainly to isolate that the problem is indeed being caused by the screensaver. I've not seen this problem on my own 945 laptop, however I have suspend/resume issues that could be hiding it. I'll try the above on mine as well.

zdzichu (zdzichu-gmail) wrote :

It crashed. Files depicting this follows.

zdzichu (zdzichu-gmail) wrote :
zdzichu (zdzichu-gmail) wrote :
zdzichu (zdzichu-gmail) wrote :
Rolla Selbak (rolla-n-selbak) wrote :

Can you please retest with Hardy Alpha 2 or 3? If the problem still persists, please file your detailed description and log-files to freedesktop. Thanks.

gelin (dnelubin) wrote :

I've got the bug.

OS: Kubuntu Gutsy Gibbon (with latest updates)
Hardware: Asus A3500L, Intel 852GM integrated video
X.org driver: "intel"

How to reproduce:
1. Start playing any video in a fullscreen with Kaffeine
2. Pause playing
3. Wait for display turning off (all screensavers are disabled, this is default power saving behavior of the X)
Result:
System seems frozen, it's impossible to switch to text console (Ctrl+Alt+F1), I can only turn the laptop off (with data lost).

zdzichu (zdzichu-gmail) wrote :

In up-to-date Hardy (equivalent of Alpha 3) crash is still here. Right now I left screen locked and when I got back to computer, GDM login screen was displayed (X crashed and got restarted). Electricsheep screensaver displays .mpg movies using mpeg2dec_onroot, maybe Xvideo extension is to blame.

Tail of Xorg.0.log.old:

Error in I830WaitLpRing(), timeout for 2 seconds
pgetbl_ctl: 0x3ffc0001 pgetbl_err: 0x0
ipeir: 0 iphdr: 1810000
LP ring tail: d068 head: d05c len: 1f801 start 0
eir: 0 esr: 0 emr: ffff
instdone: ffc0 instpm: 0
memmode: 306 instps: f0000
hwstam: fffe ier: a2 imr: 0 iir: 250
Ring at virtual 0xa78c4000 head 0xd05c tail 0xd068 count 3
 0000cfdc: 00000000
 0000cfe0: 00000000
 0000cfe4: 7f1c000b
 0000cfe8: 4347e000
 0000cfec: 4347e000
 0000cff0: 3f800000
 0000cff4: 3f800000
 0000cff8: be000000
 0000cffc: 4347e000
 0000d000: 00000000
 0000d004: 3f800000
 0000d008: be000000
 0000d00c: be000000
 0000d010: 00000000
 0000d014: 00000000
 0000d018: 54f00006
 0000d01c: 03cc0320
 0000d020: 00000000
 0000d024: 00c800c8
 0000d028: 02e0b720
 0000d02c: 00000000
 0000d030: 00000320
 0000d034: 022b8ff0
 0000d038: 02000011
 0000d03c: 00000000
 0000d040: 02000011
 0000d044: 00000000
 0000d048: 02000010
 0000d04c: 00000000
 0000d050: 08a00000
 0000d054: 3fe33001
 0000d058: 01810000
 0000d05c: 00000000
Ring end
space: 131052 wanted 131064
(II) intel(0): [drm] removed 1 reserved context for kernel
(II) intel(0): [drm] unmapping 8192 bytes of SAREA 0xf8cd1000 at 0xb7ad3000
(II) intel(0): [drm] Closed DRM master.

Fatal server error:
lockup

(II) AIGLX: Suspending AIGLX clients for VT switch
(II) intel(0): fbc disabled on plane a
(II) intel(0): xf86UnbindGARTMemory: unbind key 0
(II) intel(0): xf86UnbindGARTMemory: unbind key 1
(II) intel(0): xf86UnbindGARTMemory: unbind key 2
(II) intel(0): xf86UnbindGARTMemory: unbind key 3
(II) intel(0): xf86UnbindGARTMemory: unbind key 4

Bryce Harrington (bryce) on 2008-01-12
Changed in xserver-xorg-video-intel:
importance: Undecided → High
status: Incomplete → Triaged
Bryce Harrington (bryce) on 2008-01-12
Changed in xserver-xorg-video-intel:
importance: Undecided → Unknown
status: New → Unknown
Changed in xserver-xorg-video-intel:
status: Unknown → Confirmed
Martin Drohmann (mdrohmann) wrote :

It doesn't only crash when idle. When I use OpenGL programs that are using DRI extensively, my xorg server crashes and is unable to restart. I suppose it is a memory problem, as the bug is reproducable when i have many MATLAB windows with graphical output, open at the same time. With DRI disabed the problem does not occur.

I also tried to upgrade to the newest versions of libdrm, mesa and xorg-video-intel as suggested on the http://intellinuxgraphics.org webpage, but that did not help.

Martin Drohmann (mdrohmann) wrote :
mabovo (mabovo) wrote :

Just for comparison

mabovo (mabovo) wrote :
mabovo (mabovo) wrote :
Erik de Castro Lopo (erikd) wrote :

I have "Intel Corporation Mobile 915GM/PM/GMS/910GML" with the latest apt-get update/upgrade of Hardy Heron (2008/02/09) and I've had Xorg crash twice today. Last thing in Xorg.0.log.old is:

II) intel(0): DDCModeFromDetailedTiming: 1280x768 Warning: We only handle seperate sync.
(II) intel(0): fbc disabled on plane a
(II) intel(0): xf86UnbindGARTMemory: unbind key 0
(II) intel(0): xf86UnbindGARTMemory: unbind key 1
(II) intel(0): xf86UnbindGARTMemory: unbind key 2
(II) intel(0): xf86UnbindGARTMemory: unbind key 3
(II) intel(0): xf86UnbindGARTMemory: unbind key 4
(II) intel(0): [drm] removed 1 reserved context for kernel
(II) intel(0): [drm] unmapping 8192 bytes of SAREA 0xf884c000 at 0xb7afe000
(II) intel(0): [drm] Closed DRM master.

The last thing I did before the crash was move my mouse. The machine was not idle, but gnome-screensaver was running.

Liken Otsoa (liken) wrote :

Same problem with " VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03) ".

Freezes when you resume from suspend to ram. It's appear a busy mouse cursor, you can move it for a while, then all stop, and again. Imposible to go to console (Ctrl+Alt+F1). Only solution turn off the computer.

This bug is stocastic. if suspend resume cicle is fast not always hang, if suspend more time almost always hang. I have tryed all posible solutions, no compiz, no screensaver, multiple combinations of /etc/accpi-support, a lot of alternative xserver-xorg-video-intel debs: ( xserver-xorg-video-intel_2.1.1-0ubuntu10~bwh4_i386.deb, xserver-xorg-video-intel_2.1.1-0ubuntu10~fw1_i386.deb, xserver-xorg-video-intel_2.1.1-0ubuntu10~pcjc2.2_i386.deb, ...). Bug persists.

This is the same bug #160309 or related, X crashes when idle. When compiz is active Xorg logs is:

_____
(II) AIGLX: Suspending AIGLX clients for VT switch
Error in I830WaitLpRing(), timeout for 2 seconds
..
FatalError re-entered, aborting
lockup
_______________-

When compiz is inactive Xorg logs when freezes after resume is, as reported in this bug:
______________
(II) intel(0): [drm] removed 1 reserved context for kernel
(II) intel(0): [drm] unmapping 8192 bytes of SAREA 0xf8c04000 at 0xb7ae7000
(EE) intel(0): I830 Vblank Pipe Setup Failed 0
(EE) intel(0): I830 Vblank Pipe Setup Failed 0
(EE) intel(0): I830 Vblank Pipe Setup Failed 0
(II) intel(0): xf86UnbindGARTMemory: unbind key 0
(II) intel(0): xf86UnbindGARTMemory: unbind key 1
(II) intel(0): xf86UnbindGARTMemory: unbind key 2
(II) intel(0): xf86UnbindGARTMemory: unbind key 3
(II) intel(0): xf86UnbindGARTMemory: unbind key 4
_________________

So, in practice this bug makes Linux inusable in a laptop with video intel (most thinkpad and others), without suspend option or data lost.

The intel oficcial page por these drivers:
http://www.intellinuxgraphics.org/download.html

unggnu (unggnu) wrote :

@Erik de Castro Lopo
Does it still happen with current Hardy. Could you please post your file /etc/X11/xorg.conf and /var/log/Xorg.0.log?
According to upstream it possibly appears only with Xaa which isn't used anymore in Hardy for Intel hardware afaik.

Erik de Castro Lopo (erikd) wrote :

I have been doing 2-3 apt-get update/upgrades a week and I actually haven't seen this for the last couple of weeks.

Two files you asked for attached.

Erik de Castro Lopo (erikd) wrote :
Matt (mmmurf) wrote :

I am having this problem on a Toshiba Portege with the VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03) .

I will post output of lspci and X error log as attachments.

I have tried to find a pattern for when X freezes... sometimes it happens after only 10 minutes while other times it may not happen even if the computer is idle for > 1 hour. My screensaver is set to activate at 22 minutes.

attached is a tarball of lspci -v, lspci -vn and Xorg.0.log.old from my machine.

Please advise if there are any additional things I can do to assist in debugging.

Zenigata (drebon) wrote :

Kind of same problem, allmost every time the pc goes idle, or sometime while playing with some littles opengl apps (like the physics simulator phun app)

here is a xorg.log with the bug...

When happening while playing with phun, the screen goes black, then gdm tries to start (mouse cursor round with little dots)

Changed in xserver-xorg-video-intel:
status: Confirmed → Fix Released
Bryce Harrington (bryce) wrote :

Excellent, I'll package up this patch for testing.

Changed in xserver-xorg-video-intel:
milestone: none → ubuntu-8.04
status: Triaged → Fix Committed
Bryce Harrington (bryce) wrote :
Changed in xserver-xorg-video-intel:
assignee: nobody → bryceharrington

Should this work with Hardy?

On Mon, Mar 24, 2008 at 9:44 PM, Bryce Harrington <email address hidden>
wrote:

> debs available here for testing:
>
>
> http://people.ubuntu.com/~bryce/Testing/intel/xserver-xorg-video-intel_2.2.1-1ubuntu6~bwh1_i386.deb<http://people.ubuntu.com/%7Ebryce/Testing/intel/xserver-xorg-video-intel_2.2.1-1ubuntu6%7Ebwh1_i386.deb>
>
> http://people.ubuntu.com/~bryce/Testing/intel/xserver-xorg-video-intel-dbg_2.2.1-1ubuntu6~bwh1_i386.deb<http://people.ubuntu.com/%7Ebryce/Testing/intel/xserver-xorg-video-intel-dbg_2.2.1-1ubuntu6%7Ebwh1_i386.deb>
>
> Please test these out and verify that they solve the issue.
>
> Package for upload available here:
>
> http://people.ubuntu.com/~bryce/Uploads/xserver-xorg-video-<http://people.ubuntu.com/%7Ebryce/Uploads/xserver-xorg-video->
> intel_2.2.1-1ubuntu6~bwh1.dsc
>
> ** Attachment added: "12_dpms_low_power_overlay.patch"
> http://launchpadlibrarian.net/12850413/12_dpms_low_power_overlay.patch
>
> ** Changed in: xserver-xorg-video-intel (Ubuntu)
> Assignee: (unassigned) => Bryce Harrington (bryceharrington)
>
> --
> X crashes when idle
> https://bugs.launchpad.net/bugs/160309
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Bryce Harrington (bryce) wrote :
Download full text (4.0 KiB)

Yep

On Tue, Mar 25, 2008 at 08:13:03AM -0000, Matt wrote:
> Should this work with Hardy?
>
> On Mon, Mar 24, 2008 at 9:44 PM, Bryce Harrington <email address hidden>
> wrote:
>
> > debs available here for testing:
> >
> >
> > http://people.ubuntu.com/~bryce/Testing/intel/xserver-xorg-video-intel_2.2.1-1ubuntu6~bwh1_i386.deb<http://people.ubuntu.com/%7Ebryce/Testing/intel/xserver-xorg-video-intel_2.2.1-1ubuntu6%7Ebwh1_i386.deb>
> >
> > http://people.ubuntu.com/~bryce/Testing/intel/xserver-xorg-video-intel-dbg_2.2.1-1ubuntu6~bwh1_i386.deb<http://people.ubuntu.com/%7Ebryce/Testing/intel/xserver-xorg-video-intel-dbg_2.2.1-1ubuntu6%7Ebwh1_i386.deb>
> >
> > Please test these out and verify that they solve the issue.
> >
> > Package for upload available here:
> >
> > http://people.ubuntu.com/~bryce/Uploads/xserver-xorg-video-<http://people.ubuntu.com/%7Ebryce/Uploads/xserver-xorg-video->
> > intel_2.2.1-1ubuntu6~bwh1.dsc
> >
> > ** Attachment added: "12_dpms_low_power_overlay.patch"
> > http://launchpadlibrarian.net/12850413/12_dpms_low_power_overlay.patch
> >
> > ** Changed in: xserver-xorg-video-intel (Ubuntu)
> > Assignee: (unassigned) => Bryce Harrington (bryceharrington)
> >
> > --
> > X crashes when idle
> > https://bugs.launchpad.net/bugs/160309
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
> --
> X crashes when idle
> https://bugs.launchpad.net/bugs/160309
> You received this bug notification because you are the registrant for
> xf86-video-intel.
>
> Status in X.org xf86-video-intel: Fix Released
> Status in Source Package "xserver-xorg-video-intel" in Ubuntu: Fix Committed
>
> Bug description:
> I have ThinkPad Z61t with intel graphics. Sometimes when computer is left idle it crashes and GDM restart.
> This happens in up-to-date Gutsy Gibbon. Xorg.0.log.old ends with:
>
> ProcXCloseDevice to close or not ?
> ProcXCloseDevice to close or not ?
> ProcXCloseDevice to close or not ?
> ProcXCloseDevice to close or not ?
> SetGrabKeysState - disabled
> Error in I830WaitLpRing(), timeout for 2 seconds
> pgetbl_ctl: 0x3ffc0001 pgetbl_err: 0x0
> ipeir: 0 iphdr: 1810000
> LP ring tail: a008 head: 9fc4 len: 1f801 start 0
> eir: 0 esr: 0 emr: ffff
> instdone: ffc0 instpm: 0
> memmode: 306 instps: f0000
> hwstam: fffe ier: 2 imr: 0 iir: 250
> Ring at virtual 0xa78de000 head 0x9fc4 tail 0xa008 count 17
> 00009f44: 00000000
> 00009f48: 02000011
> 00009f4c: 00000000
> 00009f50: 02000011
> 00009f54: 00000000
> 00009f58: 02000011
> 00009f5c: 00000000
> 00009f60: 02000011
> 00009f64: 00000000
> 00009f68: 02000011
> 00009f6c: 00000000
> 00009f70: 02000010
> 00009f74: 00000000
> 00009f78: 08800000
> 00009f7c: 3f832000
> 00009f80: 02000011
> 00009f84: 00000000
> 00009f88: 02000011
> 00009f8c: 00000000
> 00009f90: 02000011
> 00009f94: 00000000
> 00009f98: 02000011
> 00009f9c: 00000000
> 00009fa0: 01810000
> 00009fa4: 00000000
> 00009fa8: 02000011
> 00009fac: 00000000
> 000...

Read more...

Matt (mmmurf) wrote :
Download full text (5.2 KiB)

Bryce,

Are the ones you posted newer than the ones available via package update in
Hardy? I installed them and it's telling me there are updates. Just want
to clarify if I should install those or if they'll just revert my system to
standard Hardy.

There has been a bit of a suspend/resume bug that has prevented me from
determining if this bug is fixed via the debs I installed.

-Matt

On Tue, Mar 25, 2008 at 1:21 AM, Bryce Harrington <email address hidden>
wrote:

> Yep
>
> On Tue, Mar 25, 2008 at 08:13:03AM -0000, Matt wrote:
> > Should this work with Hardy?
> >
> > On Mon, Mar 24, 2008 at 9:44 PM, Bryce Harrington <
> <email address hidden>>
> > wrote:
> >
> > > debs available here for testing:
> > >
> > >
> > >
> http://people.ubuntu.com/~bryce/Testing/intel/xserver-xorg-video-intel_2.2.1-1ubuntu6~bwh1_i386.deb<http://people.ubuntu.com/%7Ebryce/Testing/intel/xserver-xorg-video-intel_2.2.1-1ubuntu6%7Ebwh1_i386.deb>
> <
> http://people.ubuntu.com/%7Ebryce/Testing/intel/xserver-xorg-video-intel_2.2.1-1ubuntu6%7Ebwh1_i386.deb
> >
> > >
> > >
> http://people.ubuntu.com/~bryce/Testing/intel/xserver-xorg-video-intel-dbg_2.2.1-1ubuntu6~bwh1_i386.deb<http://people.ubuntu.com/%7Ebryce/Testing/intel/xserver-xorg-video-intel-dbg_2.2.1-1ubuntu6%7Ebwh1_i386.deb>
> <
> http://people.ubuntu.com/%7Ebryce/Testing/intel/xserver-xorg-video-intel-dbg_2.2.1-1ubuntu6%7Ebwh1_i386.deb
> >
> > >
> > > Please test these out and verify that they solve the issue.
> > >
> > > Package for upload available here:
> > >
> > > http://people.ubuntu.com/~bryce/Uploads/xserver-xorg-video-<http://people.ubuntu.com/%7Ebryce/Uploads/xserver-xorg-video->
> <http://people.ubuntu.com/%7Ebryce/Uploads/xserver-xorg-video->
> > > intel_2.2.1-1ubuntu6~bwh1.dsc
> > >
> > > ** Attachment added: "12_dpms_low_power_overlay.patch"
> > >
> http://launchpadlibrarian.net/12850413/12_dpms_low_power_overlay.patch
> > >
> > > ** Changed in: xserver-xorg-video-intel (Ubuntu)
> > > Assignee: (unassigned) => Bryce Harrington (bryceharrington)
> > >
> > > --
> > > X crashes when idle
> > > https://bugs.launchpad.net/bugs/160309
> > > You received this bug notification because you are a direct subscriber
> > > of the bug.
> > >
> >
> > --
> > X crashes when idle
> > https://bugs.launchpad.net/bugs/160309
> > You received this bug notification because you are the registrant for
> > xf86-video-intel.
> >
> > Status in X.org xf86-video-intel: Fix Released
> > Status in Source Package "xserver-xorg-video-intel" in Ubuntu: Fix
> Committed
> >
> > Bug description:
> > I have ThinkPad Z61t with intel graphics. Sometimes when computer is
> left idle it crashes and GDM restart.
> > This happens in up-to-date Gutsy Gibbon. Xorg.0.log.old ends with:
> >
> > ProcXCloseDevice to close or not ?
> > ProcXCloseDevice to close or not ?
> > ProcXCloseDevice to close or not ?
> > ProcXCloseDevice to close or not ?
> > SetGrabKeysState - disabled
> > Error in I830WaitLpRing(), timeout for 2 seconds
> > pgetbl_ctl: 0x3ffc0001 pgetbl_err: 0x0
> > ipeir: 0 iphdr: 1810000
> > LP ring tail: a008 head: 9fc4 len: 1f801 start 0
> > eir: 0 esr: 0 emr: ffff
> > instdone: ffc0 instpm: 0
> > memmode: 306 instps: f000...

Read more...

Matt (mmmurf) wrote :

The new debs appear to have fixed this issue for me!

I installed the debs below and have left the machine idle for hours with no trouble!

Using Hardy beta.

 http://people.ubuntu.com/~bryce/Testing/intel/xserver-xorg-video-intel_2.2.1-1ubuntu6~bwh1_i386.deb
 http://people.ubuntu.com/~bryce/Testing/intel/xserver-xorg-video-intel-dbg_2.2.1-1ubuntu6~bwh1_i386.deb

Pitabred (ubuntu-pitabred) wrote :

I just ran into this bug on my 64bit Gutsy install (fully updated). I'm using Kubuntu, so when I ran into it was when I started up Scorched3D, and it started loading the Lens effects. I don't want to use Hardy packages quite yet until there's less flux in the software, but is there any way I could compile this for a 64bit system? I'm willing to make a package if I can.

I have attached my Xorg log in case it helps any more with the hunting down. Thanks!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.2.1-1ubuntu8

---------------
xserver-xorg-video-intel (2:2.2.1-1ubuntu8) hardy; urgency=low

  * debian/patches/13_dpms_low_power_overlay.patch:
    - Fix crash triggered by dpms low power mode with hardware overlay
      running (LP: #160309)

 -- Bryce Harrington <email address hidden> Fri, 04 Apr 2008 16:33:51 -0700

Changed in xserver-xorg-video-intel:
status: Fix Committed → Fix Released
Bryce Harrington (bryce) wrote :

Matt, thanks muchly for testing and confirming you're not seeing the issue once this patch is applied, I'll go ahead and upload so it's easy for everyone else to test.

Changed in xserver-xorg-video-intel:
importance: Unknown → High
Changed in xserver-xorg-video-intel:
importance: High → Unknown
Changed in xserver-xorg-video-intel:
importance: Unknown → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.